Subject: Re: [BEHAVE] draft-xli-behave-ivi -- Error per SIIT !

From: Xing Li <[email-masked]>
Date: Sun, 13 Mar 2011 21:53:38 +0800

Hi, Rajiv,

于 2011/3/13 13:39, Rajiv Asati (rajiva) 写道:
> draft-xli-behave-ivi-07 seems to have an error in section 3.3
> (Network-layer Header Translation), in which the default behavior of
> IPv4 ToS = IPv6 TC (specified in SIIT (RFC2765)) is being ignored.
>
> Section 3.3 suggests the v4-v6 translation must follow SIIT (except src
> &  dest addresses conversion), but discards the TC and ToS values.
>
> Perhaps, this is an editorial error that can be easily fixed right away.

Thanks. We will make modifications during AUTH48.

-------------------------------------------------------------
IPv4 Field Translated to IPv6
-------------------------------------------------------------
Version (0x4) Version (0x6)
IHL discarded
Type of Service copied from IP Type Of Service and Precedence field
Total Length Payload Length = Total Length - 20
Identification discarded
Flags discarded
Offset discarded
Time to Live Hop Limit
Protocol Next Header
Header Checksum discarded
Source Address IVI address mapping
Destination Address IVI address mapping
Options discarded
-------------------------------------------------------------

Figure 6: IPv4 to IPv6 Header translation

-------------------------------------------------------------
IPv6 Field Translated to IPv4 Header
-------------------------------------------------------------
Version (0x6) Version (0x4)
Traffic Class copied from the IPv6 Traffic Class
Flow Label discarded
Payload Length Total Length = Payload Length + 20
Next Header Protocol
Hop Limit TTL
Source Address IVI address mapping
Destination Address IVI address mapping
- IHL = 5
- Header Checksum recalculated
-------------------------------------------------------------

Figure 7: IPv6 to IPv4 Header translation

Regards,

xing

> Cheers,
> Rajiv

---

From: Xing Li <[email-masked]>
Date: Sun, 13 Mar 2011 21:57:57 +0800

Another typing error in the previous mail. It should be

Type of Service copied from the IPv6 Traffic Class

Traffic Class copied from IP Type Of Service and Precedence field

Regards,

xing

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 14 Mar 2011 09:45:18 +1300

Just to be clear - you are copying 8 bits, including ECN?

   Brian

On 2011-03-14 02:57, Xing Li wrote:
> _______________________________________________
> Behave mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/behave
>

---

From: Xing Li <[email-masked]>
Date: Mon, 14 Mar 2011 07:21:33 +0800

> Just to be clear - you are copying 8 bits, including ECN?

Yes, as in RFC2765

         Traffic Class:
                  By default, copied from IP Type Of Service and
                  Precedence field (all 8 bits are copied).  According
                  to [DIFFSERV] the semantics of the bits are identical
                  in IPv4 and IPv6.  However, in some IPv4 environments
                  these fields might be used with the old semantics of
                  "Type Of Service and Precedence".  An implementation
                  of a translator SHOULD provide the ability to ignore
                  the IPv4 "TOS" and always set the IPv6 traffic class
                  to zero.

Regards,

xing

---

From: Xing Li <[email-masked]>
Date: Mon, 14 Mar 2011 07:22:13 +0800

于 2011/3/14 6:03, Rajiv Asati (rajiva) 写道:
> Why not just say - Traffic Class copied from IP Type Of Service field.
>
> Precedence is part of ToS field anyway.

Noted.

Regards,

xing

> Cheers,
> Rajiv
>
> ~~~
> June 8, 2011 is the "World IPv6 Day" (http://isoc.org/wp/worldipv6day/)
>
>
>
>> -----Original Message-----
>> From: Xing Li [mailto:[email-masked]]
>> Sent: Sunday, March 13, 2011 9:58 AM
>> To: Rajiv Asati (rajiva)
>> Cc: [email-masked]; [email-masked]; Xing Li
>> Subject: Re: draft-xli-behave-ivi -- Error per SIIT !
>>

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Sat, 12 Mar 2011 23:39:54 -0600

Cheers,
Rajiv

---

From: "Rajiv Asati (rajiva)" <[email-masked]>
Date: Sun, 13 Mar 2011 17:03:10 -0500

Cheers,
Rajiv

~~~